Update an agenda draft
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Update an agenda draft. Requires the write:events scope.
Request example
curl --request PUT \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>", "description": "<string>"}'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}', { method: 'PUT', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "<string>", "description": "<string>" }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "PUT", "https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "name": "<string>", "description": "<string>" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_POSTFIELDS => '{ "name": "<string>", "description": "<string>"}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("PUT", "https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}", strings.NewReader(`{ "name": "<string>", "description": "<string>"}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("PUT", HttpRequest.BodyPublishers.ofString("{\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequireddraftIdstring<uuid>pathrequired
Request body
namestringdescriptionstring
{ "name": "<string>", "description": "<string>"}Responses
200application/json
Draft updated
An agenda draft workspace for planning session schedule changes before committing them to the live event.
idstring<uuid>event_idintegernamestringdescriptionstringstatusstring- Allowed values
"draft", "committed"
created_atstring<date-time>updated_atstring<date-time>admin_urlstring<uri> | nullDeep link to this entity in the Sessionboard admin UI.
401
Unauthorized
403
Missing write:events scope
Response examples
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "event_id": 123, "name": "<string>", "description": "<string>", "status": "draft", "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z", "admin_url": "https://example.com"}